## lexd 1.1.0

=== tests/feature/Makefile ===
.PHONY: check

tests = \
  alt \
  anonlex \
  anonlex-modifier \
  anonpat \
  anonpat-filter \
  anonpat-filter-ops \
  anonpat-modifier \
  anonpat-nospaces \
  anonpat-ops \
  empty-patterns \
  filter-crosstalk \
  lexdeftag \
  lexicon-side-tags \
  lexname-space \
  lextag \
  lexnegtag \
  nontree \
  oneside \
  opt \
  or-filter \
  pairs \
  pattag \
  pattag-coherent \
  pattag-details \
  pattern-independence \
  revsieve \
  sieve \
  sieveopt \
  slots-and-operators-nospace \
  xor-filter \
  xor-multi \

sources = $(foreach test,$(tests),test-$(test).lexd)

check: $(foreach src,$(sources),$(O)/$(src).txt.strings.check)

O=.

$(O):
	mkdir $(O)
$(O)/%.lexd.txt: ../../src/lexd %.lexd | $(O)
	$^ $(LEXD_TEST_FLAGS) > $@
$(O)/%.lexd.txt.strings: $(O)/%.lexd.txt
	hfst-txt2fst $< | hfst-fst2strings -X obey-flags -c 10 | LC_ALL=C sort -u > $@
$(O)/%.strings.diff: $(O)/%.strings %.strings.gold
	diff -U0 $^ > $@; [ $$? != 2 ]
$(O)/%.strings.check: $(O)/%.strings.diff
	[ -s "$<" ] && cat "$<" && exit 1; touch $@
clean:
	rm $(foreach src,$(sources),$(O)/$(src).txt.strings.check)
	rmdir $(O)

=== debian/changelog ===
lexd (1.1.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
  * debian/control:
    + Updated Build-Deps.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 19 Mar 2022 19:22:06 +0530

lexd (1.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Tue, 08 Mar 2022 11:01:03 +0530

lexd (1.0.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #980156)

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Mar 2022 13:21:41 +0530

=== debian/control ===
Source: lexd
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13),
               hfst (>= 3.15.3),
               libicu-dev,
               lttoolbox-dev (>= 3.6.0),
               pkg-config
Standards-Version: 4.6.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/lexd.git
Vcs-Browser: https://salsa.debian.org/science-team/lexd
Rules-Requires-Root: no

Package: lexd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lexicon compiler for non-suffixational morphologies
 Compiles lexicons in a format loosely based on hfst-lexc and produces
 transducers in ATT format which are equivalent to those produced using
 the overgenerate-and-constrain approach with hfst-twolc.
 However, it is much faster.

=== debian/watch ===
version=4
https://github.com/apertium/lexd/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## lexd 1.3.1

=== tests/feature/Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
   anonpat-modifier \
   anonpat-nospaces \
   anonpat-ops \
+  conflicting-tags \
+  disjoint-opt \
+  empty \
   empty-patterns \
   filter-crosstalk \
   lexdeftag \
@@ -26,6 +29,7 @@
   pattag-coherent \
   pattag-details \
   pattern-independence \
+  regex \
   revsieve \
   sieve \
   sieveopt \

=== debian/changelog ===
lexd (1.3.1-1build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:18 +0100

lexd (1.3.1-1build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:38:17 +0100

lexd (1.3.1-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 20:07:00 -0500

lexd (1.3.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 01 Nov 2022 09:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               hfst (>= 3.15.3),
+               hfst (>= 3.16.0),
                libicu-dev,
-               lttoolbox-dev (>= 3.6.0),
+               lttoolbox-dev (>= 3.7.1),
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lexd.git
 Vcs-Browser: https://salsa.debian.org/science-team/lexd

## lexd 1.3.5

=== tests/feature/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
   anonpat-nospaces \
   anonpat-ops \
   conflicting-tags \
+  diacritic \
   disjoint-opt \
   empty \
   empty-patterns \
@@ -39,7 +40,17 @@
 
 sources = $(foreach test,$(tests),test-$(test).lexd)
 
-check: $(foreach src,$(sources),$(O)/$(src).txt.strings.check)
+check-pos: $(foreach src,$(sources),$(O)/$(src).txt.strings.check)
+
+negtests = \
+  col0 \
+  trailing-bracket \
+
+negsources = $(foreach test,$(negtests),negtest-$(test).lexd)
+
+check-neg: $(foreach src,$(negsources),$(O)/$(src).txt.error)
+
+check: check-pos check-neg
 
 O=.
 
@@ -53,6 +64,9 @@
 	diff -U0 $^ > $@; [ $$? != 2 ]
 $(O)/%.strings.check: $(O)/%.strings.diff
 	[ -s "$<" ] && cat "$<" && exit 1; touch $@
+$(O)/%.lexd.txt.error: ../../src/lexd %.lexd | $(O)
+	$^ $(LEXD_TEST_FLAGS) > /dev/null 2> $@; [ $$? = 1 ]
 clean:
 	rm $(foreach src,$(sources),$(O)/$(src).txt.strings.check)
+	rm $(foreach src,$(negsources),$(O)/$(src).txt.error)
 	rmdir $(O)

=== debian/changelog ===
lexd (1.3.5-2) unstable; urgency=medium

  * Disable tests until HFST works on big-endian

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 11 Apr 2025 17:04:20 +0200

lexd (1.3.5-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 14:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: lexd
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
                hfst (>= 3.16.0),
                libicu-dev,
-               lttoolbox-dev (>= 3.7.1),
+               lttoolbox-dev (>= 3.8.0),
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lexd.git
 Vcs-Browser: https://salsa.debian.org/science-team/lexd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_test:
	# Disable because they break on big-endian due to HFST

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/apertium/@PACKAGE@/releases \
  https://github.com/apertium/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
